> For the complete documentation index, see [llms.txt](https://docs.threshold.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.threshold.network/app-development/tbtc-contracts-api/ecdsa-api/ecdsainactivity.md).

# EcdsaInactivity

## EcdsaInactivity

### Claim

```solidity
struct Claim {
  bytes32 walletID;
  uint256[] inactiveMembersIndices;
  bool heartbeatFailed;
  bytes signatures;
  uint256[] signingMembersIndices;
}
```

### groupThreshold

```solidity
uint256 groupThreshold
```

The minimum number of wallet signing group members needed to interact according to the protocol to produce a valid inactivity claim.

### signatureByteSize

```solidity
uint256 signatureByteSize
```

Size in bytes of a single signature produced by member supporting the inactivity claim.

### verifyClaim

```solidity
function verifyClaim(contract SortitionPool sortitionPool, struct EcdsaInactivity.Claim claim, bytes walletPubKey, uint256 nonce, uint32[] groupMembers) external view returns (uint32[] inactiveMembers)
```

Verifies the inactivity claim according to the rules defined in `Claim` struct documentation. Reverts if verification fails.

Wallet signing group members hash is validated upstream in `WalletRegistry.notifyOperatorInactivity()`

#### Parameters

| Name          | Type                         | Description                                           |
| ------------- | ---------------------------- | ----------------------------------------------------- |
| sortitionPool | contract SortitionPool       | Sortition pool reference                              |
| claim         | struct EcdsaInactivity.Claim | Inactivity claim                                      |
| walletPubKey  | bytes                        | Public key of the wallet                              |
| nonce         | uint256                      | Current inactivity nonce for wallet used in the claim |
| groupMembers  | uint32\[]                    | Identifiers of group members                          |

#### Return Values

| Name            | Type      | Description                             |
| --------------- | --------- | --------------------------------------- |
| inactiveMembers | uint32\[] | Identifiers of members who are inactive |

### validateMembersIndices

```solidity
function validateMembersIndices(uint256[] indices, uint256 groupSize) internal pure
```

Validates members indices array. Array is considered valid if its size and each single index are in \[1, groupSize] range, indexes are unique, and sorted in an ascending order. Reverts if validation fails.

#### Parameters

| Name      | Type       | Description                   |
| --------- | ---------- | ----------------------------- |
| indices   | uint256\[] | Array to validate.            |
| groupSize | uint256    | Group size used as reference. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.threshold.network/app-development/tbtc-contracts-api/ecdsa-api/ecdsainactivity.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
